# $Revision: 1.21 $, $Date: 2012/03/28 07:26:36 $
Summary:	A library for decoding RAW images
Summary(pl.UTF-8):	Biblioteka dekodująca obrazy w formacie RAW
Name:		libopenraw
Version:	0.0.8
Release:	6
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	fc26f146586a4b601326130bce6ffd88
Patch0:		%{name}-loaders-location.patch
URL:		http://libopenraw.freedesktop.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	gdk-pixbuf2-devel >= 2.0.0
BuildRequires:	libjpeg-devel
BuildRequires:	libxml2-devel >= 1:2.5.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if "%{_lib}" != "lib"
%define		libext		%(lib="%{_lib}"; echo ${lib#lib})
%define		pqext		-%{libext}
%else
%define		pqext		%{nil}
%endif

%description
libopenraw is an ongoing project to provide a free software
implementation for camera RAW files decoding. One of the main reason
is that dcraw is not suited for easy integration into applications,
and there is a need for an easy to use API to build free software
digital image processing application.

%description -l pl.UTF-8
libopenraw jest projektem dostarczającym wolnodostępną
implementację dekodera plików w formacie RAW obsługiwanych przez
cyfrowe aparaty fotograficzne. Jednym z głównych powodów powstania
tej biblioteki jest to, że dcraw nie jest przystosowany do łatwej
integracji z aplikacjami, a istnieje potrzeba stworzenia łatwego w
użyciu API do budowy wolnodostępnej aplikacji przetwarzania cyfrowych
obrazów.

%package devel
Summary:	Header files for libopenraw library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libopenraw
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel
Requires:	libstdc++-devel

%description devel
Header files for libopenraw library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libopenraw.

%package static
Summary:	Static libopenraw library
Summary(pl.UTF-8):	Statyczna biblioteka libopenraw
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libopenraw library.

%description static -l pl.UTF-8
Statyczna biblioteka libopenraw.

%package gnome
Summary:	Library for decoding RAW images - GTK+/GNOME support
Summary(pl.UTF-8):	Biblioteka dekodująca obrazy w formacie RAW - obsługa GTK+/GNOME
Group:		X11/Libraries
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	gdk-pixbuf2 >= 2.0.0
Requires:	%{name} = %{version}-%{release}
Requires:	gdk-pixbuf2 >= 2.0.0

%description gnome
Library for decoding RAW images - GTK+/GNOME support.

%description gnome -l pl.UTF-8
Biblioteka dekodująca obrazy w formacie RAW - obsługa GTK+/GNOME.

%package gnome-devel
Summary:	Header file for libopenrawgnome library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libopenrawgnome
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gnome = %{version}-%{release}
Requires:	gdk-pixbuf2-devel >= 2.0.0

%description gnome-devel
Header file for libopenrawgnome library.

%description gnome-devel -l pl.UTF-8
Plik nagłówkowy biblioteki libopenrawgnome.

%package gnome-static
Summary:	Static libopenrawgnome library
Summary(pl.UTF-8):	Statyczna biblioteka libopenrawgnome
Group:		X11/Development/Libraries
Requires:	%{name}-gnome-devel = %{version}-%{release}

%description gnome-static
Static libopenrawgnome library.

%description gnome-static -l pl.UTF-8
Statyczna biblioteka libopenrawgnome.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	V=1

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post gnome
/sbin/ldconfig
umask 022
%{_bindir}/gdk-pixbuf-query-loaders%{pqext} --update-cache

%postun gnome
/sbin/ldconfig
umask 022
if [ -x %{_bindir}/gdk-pixbuf-query-loaders%{pqext} ]; then
	%{_bindir}/gdk-pixbuf-query-loaders%{pqext} --update-cache
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libopenraw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenraw.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenraw.so
%{_libdir}/libopenraw.la
%dir %{_includedir}/libopenraw-1.0
%{_includedir}/libopenraw-1.0/libopenraw
%{_pkgconfigdir}/libopenraw-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libopenraw.a

%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenrawgnome.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenrawgnome.so.1
%attr(755,root,root) %{_libdir}/gdk-pixbuf-2.0/*/loaders/libopenraw_pixbuf.so

%files gnome-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenrawgnome.so
%{_libdir}/libopenrawgnome.la
%{_includedir}/libopenraw-1.0/libopenraw-gnome
%{_pkgconfigdir}/libopenraw-gnome-1.0.pc

%files gnome-static
%defattr(644,root,root,755)
%{_libdir}/libopenrawgnome.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libopenraw.spec,v $
Revision 1.21  2012/03/28 07:26:36  arekm
- release 6

Revision 1.20  2012/02/07 22:03:59  arekm
- release 5

Revision 1.19  2010/10/31 10:22:43  qboosh
- epoch bugfix

Revision 1.18  2010/10/31 10:22:05  qboosh
- updated -gnome deps (gtk+2 -> gdk-pixbuf2)
- gdk-pixbuf loader belongs to -gnome subpackage

Revision 1.17  2010/10/10 13:43:16  megabajt
- added -loaders-location.patch
- release 4

Revision 1.16  2010/01/28 17:01:41  megabajt
- release 3

Revision 1.15  2009/07/11 19:55:46  arekm
- release 2

Revision 1.14  2009/05/16 14:20:43  megabajt
- use tabs

Revision 1.13  2009/05/16 14:17:50  megabajt
- updated to 0.0.8

Revision 1.12  2008/07/14 18:55:14  qboosh
- updated to 0.0.5
- added -gnome* packages with GTK+ interface

Revision 1.11  2008/04/29 14:06:07  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.10  2007-06-14 18:23:25  arekm
- rel 2

Revision 1.9  2007/03/30 21:58:57  qboosh
- fixed License, back from the future

Revision 1.8  2007/03/30 21:55:13  qboosh
- devel deps, BR: pkgconfig

Revision 1.7  2007/03/30 21:49:20  qboosh
- typo, cleanup

Revision 1.6  2007/03/26 07:27:30  glen
- truncate irrelevant changelog

Revision 1.5  2007/03/23 19:51:04  dzeus
- added missing BR, rel. 1

Revision 1.4  2007/03/23 11:05:33  beorn
- Polish translation

Revision 1.3  2007/03/23 10:56:37  beorn
- Fixed license
- BRs added

Revision 1.2  2007/03/23 10:47:12  beorn
- Release downgrade (this SPEC is certainly not finished)

Revision 1.1  2007/03/23 01:12:02  aredridel
- added
